@charset "UTF-8";
[_nghost-ng-c2738818750] {
  display: block;
}
.social-providers[_ngcontent-ng-c2738818750] {
  display: flex;
}
.social-link[_ngcontent-ng-c2738818750] {
  min-width: 0;
  margin-right: var(--offset-sm-s);
}
.social-link.disabled[_ngcontent-ng-c2738818750] {
  opacity: 0.3;
}
.social-link[_ngcontent-ng-c2738818750]:last-of-type {
  margin-right: 0;
}
.social-link.oauth-icon-apple[_ngcontent-ng-c2738818750] {
  --button-bg-color: #000000;
  --button-hover-bg-color: #737373;
  --button-disabled-bg-color: #000000;
}
.social-link.oauth-icon-facebook[_ngcontent-ng-c2738818750] {
  --button-bg-color: #1877f2;
  --button-hover-bg-color: #80b4f8;
  --button-disabled-bg-color: #1877f2;
}
.social-link.oauth-icon-gp[_ngcontent-ng-c2738818750],
.social-link.oauth-icon-default[_ngcontent-ng-c2738818750] {
  --button-bg-color: #f0f0f2;
  --button-hover-bg-color: #f7f7f8;
  --button-disabled-bg-color: #f0f0f2;
}
.social-link.oauth-icon-line[_ngcontent-ng-c2738818750] {
  --button-bg-color: #06c755;
  --button-hover-bg-color: #76e0a1;
  --button-disabled-bg-color: #06c755;
}
@media (hover: hover) and (pointer: fine) {
  .social-link.oauth-icon-line[_ngcontent-ng-c2738818750] {
    display: inline-block;
  }
}
.social-icon[_ngcontent-ng-c2738818750] {
  display: block;
}
.message[_ngcontent-ng-c2738818750] {
  display: block;
  width: var(--width-full);
  margin-top: var(--offset-sm-l);
  padding: var(--offset-sm-s) 0;
  font: var(--regular-s);
  line-height: 16px;
  -webkit-user-select: none;
  user-select: none;
  transition: line-height var(--transition-standart) var(--cubic-ease-out),
    padding var(--transition-standart) var(--cubic-ease-out),
    color var(--transition-standart) var(--cubic-ease-out);
}
.message.success[_ngcontent-ng-c2738818750] {
  color: var(--color-text-positive);
}
.message.error[_ngcontent-ng-c2738818750] {
  color: var(--color-text-negative);
}
